; *********************************************************************************

; data.h

; *********************************************************************************

				; PORT B 1 TO 7 -> output for a to g of seven segemet digit  
				; PORT A 0 to 2 -> output
#define DIGIT0  PORTA,2		; DIGIT0 is common anode of 7-segment display - 'LSB' <PortA,2>
#define DIGIT1  PORTA,1		; DIGIT1 is common anode of 7-segment display - 'MSB' <PortA,1>
#define DIGIT2  PORTA,0		; DIGIT2 is common anode of 7-segment display - 'USB' or 'SIGN'<PortA,0>

;#define UP	SW1,4		; Up key is connected to PORTB,4
;#define DOWN	SW1,5		; DOWN key is connected to PORTB,5
;#define SET	SW1,6 		; SET key is connected to PORTB,6
;#define TEMP	SW1,7		; TEMP key is connected to PORTB,7

#define UP	PORTB,4		; Up key is connected to PORTB,4
#define DOWN	PORTB,5		; DOWN key is connected to PORTB,5
#define SET	PORTB,6 	; SET key is connected to PORTB,6
#define TEMP	PORTB,7		; TEMP key is connected to PORTB,7

#define	SecBit	TEMPFlag,0	;this bit is to check 5 sec over or not
#define CheckCalH TEMPFlag,1
#define CheckCalL TEMPFlag,2
; *********************************************************************************
 UDATA

WDTCOUNT_HI 	res 	1
WDTCOUNT_LO	res 	1
TEMPL		res 	1
TEMPH		res 	1
TEMPFlag	res	1
Count0		res	1
Count1		res	1
W_TEMP		res	1
STATUS_TEMP	res 	1
USD		res 	1
MSD		res 	1
LSD		res 	1

C1		res	1
C2		res 	1
C3		res 	1
C4		res 	1


; ************************************************

 extern	InitTmr0
 extern	TempCalc
 extern	ReadEeprom 
 extern WriteEeprom
 extern EEDefault
 extern	InitWDT
 extern InPort
 extern OutPort
 extern	InitData
 extern	ScanKey
 extern InitInt

 extern	IntDelay
 extern	Delay1
 extern Delay_1
 extern Delay20


; for EEPROM
 extern		TEMP_HI,WDT_H0,WDT_H1,Default,TEMP_LO		
 extern		WDT_L0,WDT_L1,TempP,TempC,Neg
 extern		Switch,Switch1

 global 	WDTCOUNT_HI,WDTCOUNT_LO,TEMPFlag,Count0,Count1

; *********************************************************************************
